(* uiBezierPath.ml     Wrapper for Cocoa Touch UIBezierPath
 *
 * Copyright (c) 2011 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 *)

external _lineWidth : nativeint -> float =
    "UIBezierPath_lineWidth"
external _setLineWidth_ : nativeint -> float -> unit =
    "UIBezierPath_setLineWidth_"
external _fill : nativeint -> unit =
    "UIBezierPath_fill"
external _stroke : nativeint -> unit =
    "UIBezierPath_stroke"
external _containsPoint_ : nativeint -> Cocoa.point -> bool =
    "UIBezierPath_containsPoint_"

class t robjcv =
    object (self)
    inherit Wrapper.t robjcv

    method lineWidth = _lineWidth self#contents
    method setLineWidth' = _setLineWidth_ self#contents
    method fill = _fill self#contents
    method stroke = _stroke self#contents

    method containsPoint' p = _containsPoint_ self#contents p
    end

let () = Callback.register "UIBezierPath.wrap" (new t)

external bezierPathWithOvalInRect' : Cocoa.rect -> t =
    "UIBezierPath_bezierPathWithOvalInRect_"
